## org.hibernate.ejb.metamodel
Class SingularAttributeImpl.Identifier<X,Y>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractAttribute<X,Y>
          org.hibernate.ejb.metamodel.SingularAttributeImpl<X,Y>
              org.hibernate.ejb.metamodel.SingularAttributeImpl.Identifier<X,Y>

All Implemented Interfaces:
  Serializable, javax.persistence.metamodel.Attribute<X,Y>, javax.persistence.metamodel.Bindable<Y>, javax.persistence.metamodel.SingularAttribute<X,Y>, AttributeImplementor<X,Y>

Enclosing class:
  SingularAttributeImpl<X,Y>

    public static class SingularAttributeImpl.Identifier<X,Y>

extends SingularAttributeImpl<X,Y>

Subclass used to simply instantiation of singular attributes representing an entity's identifier.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.ejb.metamodel.SingularAttributeImpl
`SingularAttributeImpl.Identifier<X,Y>, SingularAttributeImpl.Version<X,Y>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`javax.persistence.metamodel.Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`javax.persistence.metamodel.Bindable.BindableType`

Constructor Summary
`SingularAttributeImpl.Identifier(String name, Class<Y> javaType, AbstractManagedType<X> declaringType, Member member, javax.persistence.metamodel.Type<Y> attributeType, javax.persistence.metamodel.Attribute.PersistentAttributeType persistentAttributeType)`

Method Summary

Methods inherited from class org.hibernate.ejb.metamodel.SingularAttributeImpl
`getBindableJavaType, getBindableType, getType, isAssociation, isCollection, isId, isOptional, isVersion`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractAttribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType, readObject, writeObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Attribute
`getDeclaringType, getJavaMember, getJavaType, getName, getPersistentAttributeType`

Constructor Detail

### SingularAttributeImpl.Identifier

    public SingularAttributeImpl.Identifier(String name,
                                            Class<Y> javaType,
                                            AbstractManagedType<X> declaringType,
                                            Member member,
                                            javax.persistence.metamodel.Type<Y> attributeType,
                                            javax.persistence.metamodel.Attribute.PersistentAttributeType persistentAttributeType)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.